Error
A valid request URL is required to generate request examples{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigned_at": "2023-11-07T05:31:56Z",
"assigned_by": "<string>"
}API Reference
Assign skill to agent
Assigns a skill from the catalog to an agent. Agent must be stopped. RBAC on scope: container_local — any user (own agents). host_docker/vps_system — admin only.
POST
/
agents
/
{id}
/
skills
Error
A valid request URL is required to generate request examples{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigned_at": "2023-11-07T05:31:56Z",
"assigned_by": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
ID of the skill (tool preset) to assign